> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.upwardli.com/api-access/api-reference/bill-reporting/create-reported-bill-create/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server. # Create Reported Bill Create POST https://api.upwardli.com/v2/bill-reporting/{external_id}/reported-bills/ Content-Type: application/json View used to start the "Verify Identity" step on an existing Onboarding Reference: https://developers.upwardli.com/api-access/api-reference/bill-reporting/create-reported-bill-create ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.upwardli.com` (Production, default) - `https://api-sandbox.upwardli.com` (Sandbox) ## Request ### Path parameters - `external_id` (string, required) ### Body (application/json) This endpoint expects a ReportedBillCreate. - `name` (string, required) - `category` (enum, required) - Allowed values: `rent`, `utility`, `telco`, `other` - `account` (string, required) - `primary_residence` (boolean, required) - `attestation_signed` (boolean, required) - `attestation_date` (string, required) ## Response ### 201 - `name` (string, required) - `category` (enum, required) - Allowed values: `rent`, `utility`, `telco`, `other` - `external_id` (string, optional) - `account` (string, optional) - `primary_residence` (boolean, optional) - `attestation_signed` (boolean, optional) - `attestation_date` (string, optional, nullable) ## Examples **Request** ```json { "name": "string", "category": "rent", "account": "string", "primary_residence": true, "attestation_signed": true, "attestation_date": "2024-01-15T09:30:00Z" } ``` **Response** ```json { "name": "string", "category": "rent", "external_id": "string", "account": "string", "primary_residence": true, "attestation_signed": true, "attestation_date": "2024-01-15T09:30:00Z" } ``` **SDK Code** ```python import requests url = "https://api.upwardli.com/v2/bill-reporting/external_id/reported-bills/" payload = { "name": "string", "category": "rent", "account": "string", "primary_residence": True, "attestation_signed": True, "attestation_date": "2024-01-15T09:30:00Z" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.upwardli.com/v2/bill-reporting/external_id/reported-bills/'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"name":"string","category":"rent","account":"string","primary_residence":true,"attestation_signed":true,"attestation_date":"2024-01-15T09:30:00Z"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.upwardli.com/v2/bill-reporting/external_id/reported-bills/" payload := strings.NewReader("{\n \"name\": \"string\",\n \"category\": \"rent\",\n \"account\": \"string\",\n \"primary_residence\": true,\n \"attestation_signed\": true,\n \"attestation_date\": \"2024-01-15T09:30:00Z\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.upwardli.com/v2/bill-reporting/external_id/reported-bills/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"string\",\n \"category\": \"rent\",\n \"account\": \"string\",\n \"primary_residence\": true,\n \"attestation_signed\": true,\n \"attestation_date\": \"2024-01-15T09:30:00Z\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.upwardli.com/v2/bill-reporting/external_id/reported-bills/") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"name\": \"string\",\n \"category\": \"rent\",\n \"account\": \"string\",\n \"primary_residence\": true,\n \"attestation_signed\": true,\n \"attestation_date\": \"2024-01-15T09:30:00Z\"\n}") .asString(); ``` ```php request('POST', 'https://api.upwardli.com/v2/bill-reporting/external_id/reported-bills/', [ 'body' => '{ "name": "string", "category": "rent", "account": "string", "primary_residence": true, "attestation_signed": true, "attestation_date": "2024-01-15T09:30:00Z" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.upwardli.com/v2/bill-reporting/external_id/reported-bills/"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"string\",\n \"category\": \"rent\",\n \"account\": \"string\",\n \"primary_residence\": true,\n \"attestation_signed\": true,\n \"attestation_date\": \"2024-01-15T09:30:00Z\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "name": "string", "category": "rent", "account": "string", "primary_residence": true, "attestation_signed": true, "attestation_date": "2024-01-15T09:30:00Z" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.upwardli.com/v2/bill-reporting/external_id/reported-bills/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```